/*
 * Copyright (C) 2010 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include <libxfce4util/libxfce4util.h>
#include <libxfcegui4/libxfcegui4.h>

#include "libappstarter/as.h"

#define PLUGIN "webkiosk"
#define ICON_FILE "/usr/share/pixmaps/linutop-webkiosk.png"
gchar *command = NULL;
gboolean as_root = FALSE;

gchar *
get_cmd()
{
    return g_strdup ("linutop-webkiosk");
}

static void
run (GtkLinkButton *button, const gchar *link, gpointer user_data)
{
    g_spawn_command_line_async ("gksudo linutop-wksettings", NULL);
}

GtkWidget *
get_config_widget(gchar *file)
{
    GtkWidget *btn;

    gtk_link_button_set_uri_hook ((GtkLinkButtonUriFunc) run, NULL, NULL);
    btn = gtk_link_button_new_with_label ("file:///",
                                          _("Configure the Linutop Web Kiosk"));

    return btn;
}

void
free_all()
{
    g_free (command);
}
